* {
    box-sizing: border-box;
}

body {
    margin: 0;
    min-height: 100vh;
    font-family: Arial, sans-serif;
    background: #f4f6f8;
    color: #1f2933;
}

header {
    padding: 30px 20px 20px;
    text-align: center;
    background: #172a3a;
    color: white;
}

header h1 {
    margin: 0;
    font-size: 3rem;
}

header p {
    margin-top: 12px;
    font-size: 1.15rem;
}

main {
    width: min(1000px, 90%);
    margin: 24px auto;
}

.project-category {
    margin-bottom: 24px;
    margin-top: 24px;
    background: white;
    border-radius: 20px;
    padding: 10px 10px;
    box-shadow: 0 4px 14px rgb(0 0 0 / 25%);
}

.project-category h2 {
    margin-top: 0;
    margin-bottom: 0;
    color: #172a3a;
    text-align: center;
}

.project-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 24px;
}

.project-card {
    display: block;
    padding: 28px;
    background: white;
    color: inherit;
    text-decoration: none;
    text-align: left;
    border-radius: 20px;
    box-shadow: 0 4px 14px rgb(0 0 0 / 25%);
    transition:
        transform 0.2s,
        box-shadow 0.2s;
}

.project-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 22px rgba(75, 50, 175, 0.5);
}

.project-card h2 {
    margin-top: 0;
    color: #1261a0;
}

.project-card p {
    margin-bottom: 0;
    line-height: 1.6;
}

footer p {
    text-align: center;
    padding: 20px;
    background: #172a3a;
    color: white;
    margin: 0;
}